ChangeEvent (BioJava-1.5-beta API)
Keywords: org.biojava.utils.ChangeEvent class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.utils
Class ChangeEvent

    java.lang.Object
      java.util.EventObject
          org.biojava.utils.ChangeEvent

All Implemented Interfaces:
  Serializable

    public class ChangeEvent

extends EventObject

Event which encapsulates a change in any mutable BioJava object.

Since:
  1.1
Author:
  Thomas Down, Matthew Pocock, Greg Cox
See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`ChangeEvent(Object source, ChangeType type)` Construct a ChangeEvent with no change details.
`ChangeEvent(Object source, ChangeType type, Object change)` Construct a ChangeEvent specifying a new value for a property, or an object to be added to a collection.
`ChangeEvent(Object source, ChangeType type, Object change, Object previous)` Construct a ChangeEvent specifying a new value for a property, and giving the previous value.
`ChangeEvent(Object source, ChangeType type, Object change, Object previous, ChangeEvent chain)` Construct a ChangeEvent to be fired because another ChangeEvent has been received from a property object.

Method Summary
`ChangeEvent` | `getChainedEvent()` Return the event which caused this to be fired, or `null` if this change was not caused by another event.
`Object` | `getChange()` Return an object which is to be the new value of some property, or is to be added to a collection.
`Object` | `getPrevious()` Return the old value of a property being changed.
`ChangeType` | `getType()` Find the type of this event.
`String` | `toString()`

Methods inherited from class java.util.EventObject
`getSource`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ChangeEvent

    public ChangeEvent(Object source,
                       ChangeType type)

  Construct a ChangeEvent with no change details.

  Parameters:
    `source` - The object being changed.
    `type` - The type of change being made.

### ChangeEvent

    public ChangeEvent(Object source,
                       ChangeType type,
                       Object change)

  Construct a ChangeEvent specifying a new value for a property, or an object to be added to a collection.

  Parameters:
    `source` - The object being changed.
    `type` - The type of change being made.
    `change` - The new value of the property being changed.

### ChangeEvent

    public ChangeEvent(Object source,
                       ChangeType type,
                       Object change,
                       Object previous)

  Construct a ChangeEvent specifying a new value for a property, and giving the previous value.

  Parameters:
    `source` - The object being changed.
    `type` - The type of change being made.
    `change` - The new value of the property being changed.
    `previous` - The old value of the property being changed.

### ChangeEvent

    public ChangeEvent(Object source,
                       ChangeType type,
                       Object change,
                       Object previous,
                       ChangeEvent chain)

  Construct a ChangeEvent to be fired because another ChangeEvent has been received from a property object.

  Parameters:
    `source` - The object being changed.
    `type` - The type of change being made.
    `change` - The new value of the property being changed.
    `previous` - The old value of the property being changed.
    `chain` - The event which caused this event to be fired.

Method Detail

### getType

    public ChangeType getType()

  Find the type of this event.

  Returns:
    The Type value

### getChange

    public Object getChange()

  Return an object which is to be the new value of some property, or is to be added to a collection. May return `null` is this is not meaningful.

  Returns:
    The Change value

### getPrevious

    public Object getPrevious()

  Return the old value of a property being changed. May return `null` is this is not meaningful.

  Returns:
    The Previous value

### getChainedEvent

    public ChangeEvent getChainedEvent()

  Return the event which caused this to be fired, or `null` if this change was not caused by another event.

  Returns:
    The ChainedEvent value

### toString

    public String toString()

  Overrides:
    `toString` in class `EventObject`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD